GET /api/convert/{from}/{to}
Currency conversion
GET convert data from convert service
Endpoint​
GET https://api.web3identity.com/api/convert/{from}/{to}
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
from | path | string | âś… | Start of date/block range |
to | path | string | âś… | End of date/block range |
amount | query | number | ❌ | Amount in token units or USD |
Example Request​
curl -s "https://api.web3identity.com/api/convert/:from/:to" | jq
Responses​
200 Conversion​
{
"from": "ETH",
"to": "USD",
"amount": 1,
"result": 3245.67,
"rate": 3245.67,
"timestamp": "2026-02-08T14:30:00.000Z"
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required - free tier exhausted​
{
"example": "response"
}
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec